Kapitel 17. Multimedia
Zurück | 17.2 Xmms | Weiter

## 17.2 Xmms

Xmms, das „X Multimedia Sound System“, ist ein sehr vielfältiges Programm zum Abspielen von Audio-CDs und Musik-Dateien aller Art. Xmms kann über Plugins erweitert werden; es existieren auch Plugins, mit denen sich Videodaten anzeigen lassen. Die Oberfläche von Xmms erinnert an einen Cassetten- oder Videorecorder, so dass Sie sich schnell in die Gebrauchsweise einfinden werden.

In der Titelzeile des Programms finden Sie drei Schaltflächen: Die linke verkleinert Xmms, die mittlere zeigt nur noch die Titelzeile an, und die rechte beendet Xmms. Im Fenster selbst wird Ihnen der Status (Play, Pause, Stop) und die Spielzeit des aktuellen Songs angezeigt.

### 17.2.1 „Skins“

Xmms kann über so genannte „Skins“ im Aussehen verändert werden. Einige Beispiele finden Sie zum Download auf der Homepage von Xmms (http://www.xmms.org); kopieren Sie diese in das Verzeichnis `~/.xmms/Skins/`. Sie müssen das Archiv nicht entpacken, Xmms kann auch mit gepackten „Skins“ umgehen. Beachten Sie bitte, dass dazu das Programm `unzip` installiert sein muss. Starten Sie nun Xmms. Mit der Tastenkombination ALT+S öffnet sich ein Fenster, in dem Sie die installierten „Skins“ auswählen können. Xmms speichert den zuletzt gewählten „Skin“ in der Datei `~/.xmms/config`. Sie können hier auch auswählen, dass bei jedem neuen Song auch das Aussehen geändert werden soll.

Wenn Sie die „Skins“ unterhalb Ihres Heimatverzeichnises (`~/.xmms/Skins/`) speichern, stehen diese nur Ihnen zur Verfügung. Sie können die Archive auch (als Superuser) unter `/usr/share/xmms/Skins/` installieren, so dass sie allen Benutzern zur Verfügung stehen.

Kleiner Tipp: Xmms kann auch die „Skins“ des Programms WinAmp verwenden.

### 17.2.2 Hauptfenster

Wenn Sie in den Bereich des Spectrum-Analyzers klicken, können Sie das Aussehen verändern. Im linken Bereich sehen Sie die Buchstaben `O A I D V`; diese öffnen bei einem Mausklick ein Menü oder führen eine Aktion aus.

Abbildung 17.1. xmms

Rechts davon sehen Sie den Titel des aktuellen Songs sowie die Spielzeit und die Position des Songs in der Titelliste (Playlist). Weiter unten sehen Sie statistische Angaben zu:

- MP3-Bitrate in kBps (meist 128 oder 112)

- Sample-Rate in kHz (meist 44)

- Stereo oder Mono

Weiter finden Sie Schieberegler für die Lautstärke und für die Balance sowie die Schaltflächen `EQ` für den Equalizer und `PL` für die Playlist (Titelliste).

Der größte Schieberegler (darunter) bewegt sich nach rechts, während ein Song abgespielt wird, und zeigt so die aktuelle Position im Lied. Sie können diesen Regler mit der Maus an jede beliebige Stelle im Song schieben.

Sie können Xmms auch über die Tastatur steuern:

- z - Springt zum letzten Song

- x - Abspielen

- c - Pause

- v - Stopp

- b - Nächster Song

- l - Öffnet die Dateiauswahl

- j - Springt zu einem anderen Song über eine Auswahl

- STRG+l - Öffnet die Auswahl, um eine URL hinzuzufügen

- STRG+p - Voreinstellungen

- STRG+v - Visualisierungs-Plugin

- STRG+r - Restspielzeit

- STRG+a - „Always on Top“

- STRG+w - Zeigt nur eine schmale Zeile des Programms an

- STRG+d - Doppelte Größe

- STRG+j - Springt zu einer bestimmten Zeit im Song

- STRG+z - Springt zum Anfang der Liste

- SHIFT+STRG+w - Öffnet/schließt die Playlist

- ALT+g - Öffnet/schließt den Equalizer

- ALT+s - Öffnet den „Skin selector“

### 17.2.3 Titelliste (Playlist)

Sie können sich eine individuelle Liste Ihrer Lieblingstitel zusammenstellen und speichern.

Abbildung 17.2. Xmms Playlist

Das dazugehörige Fenster erreichen Sie über die Schaltfläche `PL` (für Playlist) auf der rechten Seite des Hauptfensters. Am unteren Rand des neuen Fensters finden Sie fünf Schaltflächen; hinter jeder dieser fünf Schaltflächen verbirgt sich ein Menü (halten Sie die Maustaste gedrückt).

Die fünf Menüs, von links nach rechts, sind:

File +

- + url - Fügt eine URL hinzu.

- + dir - Fügt ein Verzeichnis hinzu, rekursiv also mit allen Unterverzeichnissen.

- + file - Fügt eine Datei hinzu.

File -

- - misc - Löscht alle Dateien in der Liste.

- - crop - Löscht alle, mit Ausnahme der ausgewählten Dateien aus der Liste.

- - file - Löscht die ausgewählten Dateien.

Sel All

- inv sel - Kehrt die aktuelle Auswahl um.

- sel zero - Selektiert keine Datei.

- sel all - Selektiert alle Dateien.

Misc Opt

- sort - Ruft ein Menü mit Sortieroptionen auf.

- file inf - Dateiinformationen

- misc opts - Extra-Optionen

Load List

- new list - Erzeugt eine neue Playlist.

- save list - Speichert die aktuelle Liste.

- load list - Lädt eine Liste von der Festplatte oder aus dem Netz.

### 17.2.4 Equalizer

Sie erreichen den Equalizer über die Schaltfläche `EQ`; dies öffnet ein neues Fenster.

Abbildung 17.3. Xmms Equalizer

Um den Equalizer zu aktivieren, müssen Sie ihn mit der Schaltfläche `ON` einschalten. Auch werden die hier vorgenommenen Einstellungen in der Datei `~/.xmms/config` gespeichert, wenn Sie Xmms beenden. Über die Schaltfläche `Preset` können Sie verschiedene Einstellungen laden; das Format von WinAmp wird auch hier unterstützt.

### 17.2.5 Voreinstellungen

Sie erreichen die Voreinstellungen über das Menü (Options/Preferences) oder mit der Tastenkombination STRG+p. Die Voreinstellungen sind in die vier Bereiche „Audio I/O Plugins“, „Effect/General Plugins“, „Visualization Plugins“ und „Options“ aufgeteilt.

#### 17.2.5.1 Audio-I/O

Hier finden Sie verschiedene Plugins für unterschiedliche Medien und Formate. Sie können verschiedene Input-Plugins wählen und konfigurieren:

- CD Audio Player - Geben Sie hier das Device an, an dem Ihr CD-ROM-Laufwerk angeschlossen ist. Weiterhin können Sie hier die Lautstärke einstellen.

  Um mit diesem Plugin Audio-CDs abspielen zu können, muss in der Playlist (über `File +`) die entsprechende Gerätedatei (meist wird dies `/dev/cdrom` sein) hinzugefügt werden. Die Anzeige der Titel auf der CD kann automatisch erfolgen, wenn der Rechner ans Internet angeschlossen ist. Als Voreinstellung wird http://www.freedb.org bzw. einer der Spiegel-Server benutzt.

- MPEG Layer 1/2/3 Player - Hier können Sie den Buffer und einen Proxy-Server einstellen. Weiterhin können Sie hier das Speichern der Daten aus dem Netz auf die Festplatte aktivieren.

- Wave Player - Keine Einstellmöglichkeiten.

- id software cin player - Ebenfalls keine Einstellungen; Player für das Quake-II-Format.

Von den Output-Plugins kann zu jeder Zeit nur eines aktiv sein:

- OSS Driver - Dieses Plugin versorgt die Soundkarte mit den nötigen Daten. Wenn Sie über mehrere Soundkarten in Ihrem Rechner verfügen, können Sie hier eine auswählen. Weiterhin können Sie hier bestimmen, wie viel Speicher zur Pufferung von Daten verwendet werden soll.

- eSound Output Plugin - Wenn Sie eSound (http://www.tux.org/~ricdude/EsounD.html) installiert haben, können Sie hier den Server wählen, der benutzt werden soll.

- Disk Writer Plugin - Mit diesem Plugin können Sie jeden Sound, der von den Input-Plugins gelesen werden kann, im WAV-Format speichern.

- Effect/General Plugins - Hier haben Sie verschiedene Plugins zur Auswahl, beispielsweise um Xmms mit einem Joystick oder einer Infrarotschnittstelle zu steuern. Ziemlich lustig ist auch das „Echo“- Plugin... probieren Sie es aus!

#### 17.2.5.2 Visualization-Plugins

Hier finden Sie einige tolle Plugins, um Ihre Songs auch grafisch richtig zur Geltung zu bringen. Am beeindruckendsten ist sicher das OpenGL-Plugin, Sie können hier die Tasten z, x, c, v, b, wie im Hauptfenster benutzen. Zusätzlich können Sie die Pfeiltasten zum Verändern der x- und z-Achsen und die Tasten q und w zum Verändern der y-Achse benutzen. Die RETURN-Taste setzt die Werte zurück.

Abbildung 17.4. Xmms OpenGL-Plugin

#### 17.2.5.3 Options

Hier finden Sie diverse Einstellmöglichkeiten, die u.a. das Aussehen von Xmms beeinflussen oder das Verhalten verändern.

### 17.2.6 Xmms von der Kommandozeile

Meist werden Sie Xmms über ein Menü Ihres Windowmanagers oder aus dem GNOME-Panel starten. Xmms verfügt aber auch über ein paar sehr nützliche Kommandozeilenoptionen. Wenn Sie Xmms mit einem oder mehreren Dateinamen von der Kommandozeile aufrufen und Xmms bereits gestartet ist, so wird die aktuelle Titelliste durch die auf der Kommandozeile angegebenen Dateien ersetzt.

Die komplette Übersicht erhalten Sie mit der Option `--help`:

    Usage: xmms [options] [files] ...
    Options:
    -h, --help              Display this text and exit.
    -n, --session           Select XMMS session (Default: 0)
    -r, --rew               Skip backwards in playlist
    -p, --play              Start playing current playlist
    -u, --pause             Pause current song
    -s, --stop              Stop current song
    -f, --fwd               Skip forward in playlist
    -e, --enqueue           Add file to current playlist
    -m, --show-main-window  Show the main window
    -v, --version           Print version number and exit.

Die meisten Optionen sind selbsterklärend. Nützlich ist die Option `-e`; diese fügt die angegebenen Dateien der aktuellen Playliste hinzu.

### 17.2.7 Formate

Die meisten Formate von Xmms wurden bereits angesprochen, daher hier nur einige Stichpunkte: MP2- und MP3-Streams, WAV/AU-Samples, diverse Modul-Formate (mod, xm, s3m, med, it, 669, amf, dsm, far gdm, imf, m15, mtm, stm, stx, ult, uni), CD Audio, Shout und Icecast, Spectrum Analyzer, WinAmp-2.0-Skin-Unterstützung (wsz-Dateien), Gnome/Afterstep/WindowMaker Dock-Applikation, Maus mit Scrollrad...

### 17.2.8 Xmms und Netscape

Sie können Xmms direkt aus Netscape benutzen, um Internetradio zu hören. Stellen Sie dazu in Netscape unter „Edit / Preferences / Navigator / Applications“ einen neuen MIME-Typ „audio/x-scpls“ mit der Anwendung „xmms %s“ (mit kompletter Pfadangabe zum Programm) ein. Dies funktioniert mit dem Server http://www.shoutcast.com.

Für MP3-Dateien vom Server http://www.mp3.com benutzen Sie die Werte: mimetype: „audio/x-mpegurl“, suffix: „m3u“, application: „xmms %s“.

Abbildung 17.5. Xmms/Netscape

Eine gute Übersicht aktueller MP3-Server finden Sie in dem Telepolis-Artikel „MP3: Gratis, legal und qualitativ wertvoll“ unter der URL: http://www.heise.de/tp/deutsch/inhalt/musik/3479/1.html.

Zurück | Nach oben | Weiter
Kapitel 17. Multimedia | Zum Anfang | 17.3 Zinf

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).